#define PTR_KEEP_SQUASH(section) \
  .##section : { \
    section = .; \
    KEEP(*(.##section##*)) \
    section##_end = .; \
  }
#define PTR_KEEP(section) \
  .##section : { \
    section = .; \
    KEEP(*(.##section)) \
    section##_end = .; \
  }
SECTIONS {
  .text : { *(.text .text.* .exit.text .sched.text) }
  PTR_KEEP_SQUASH(pako_relocs)
  PTR_KEEP_SQUASH(pako_sections)
  PTR_KEEP_SQUASH(pako_patches)
  PTR_KEEP(pako_symbols)
  PTR_KEEP(pako_system_map)
  PTR_KEEP(pako_call_pre_apply)
  PTR_KEEP(pako_call_check_apply)
  PTR_KEEP(pako_call_apply)
  PTR_KEEP(pako_call_post_apply)
  PTR_KEEP(pako_call_fail_apply)
  PTR_KEEP(pako_call_pre_reverse)
  PTR_KEEP(pako_call_check_reverse)
  PTR_KEEP(pako_call_reverse)
  PTR_KEEP(pako_call_post_reverse)
  PTR_KEEP(pako_call_fail_reverse)
  PTR_KEEP(parainstructions)
}
